CVC4::TypeConstantHashFunction Struct Reference

We hash the constants with their values. More...

`#include <kind.h>`

## Public Member Functions

size_t | operator() (TypeConstant tc) const
size_t | operator() (TypeConstant tc) const

## Detailed Description

We hash the constants with their values.

Definition at line 108 of file kind_template.h.

## Member Function Documentation

## operator()() [1/2]

size_t CVC4::TypeConstantHashFunction::operator() | ( | TypeConstant | tc | ) | const

inline

Definition at line 563 of file kind.h.

## operator()() [2/2]

size_t CVC4::TypeConstantHashFunction::operator() | ( | TypeConstant | tc | ) | const

inline

Definition at line 109 of file kind_template.h.

The documentation for this struct was generated from the following files:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/kind.h
- src/expr/kind_template.h